<template>
  <a :href="to" @click="$emit('click')" :style="{ fontSize: `${size}px` }">
    <slot />
  </a>
</template>

<script>
export default {
  props: {
    to: {
      type: String,
      default: '#'
    },
    size: {
      type: Number,
      default: 16
    }
  }
};
</script>

<style lang="scss">
$dark: #212121;
$light: #fafafa;

a {
  color: $dark;
  text-decoration: none;

  &:focus {
    outline: 0;
  }

  &:hover {
    color: $light;
    transition-duration: 0.375s;
  }
}
</style>
